.sidebar-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 850;
    position: fixed;
    background: linear-gradient(277.75deg, rgba(49, 39, 130, 0.8) 6.54%, rgba(58, 37, 130, 0.8) 10.04%, rgba(149, 17, 128, 0.8) 51.17%, rgba(207, 5, 126, 0.8) 80.04%, rgba(229, 0, 126, 0.8) 94.04%);
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.sidebar {
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 900;
    position: fixed;
    width: rem(326);
    background: $white;
    border-radius: 0 30px 30px 0;
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);
    transform: translateX(-380px);
    transition: .15s;

    &__toggle {
        fill: $gray;
        top: rem(14);
        right: rem(-16);
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        cursor: pointer;
        font-size: 0;
        line-height: 0;
        width: rem(32);
        height: rem(32);
        border-radius: 50%;
        position: absolute;
        background: $white;
        display: flex;
        align-items: center;
        justify-content: center;
        box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);

        &:before {
            top: -5px;
            left: -5px;
            right: -5px;
            bottom: -5px;
            content: '';
            z-index: 5;
            position: absolute;
            border-radius: 50%;
            background: rgba(255, 255, 255, 0.3);
        }

        i {
            height: rem(14);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__main {
        height: 100%;
        max-height: 100%;
        overflow-y: auto;
        display: flex;
        flex-direction: column;
    }

    &__header {
        display: flex;
        align-items: center;
        padding: rem(30) rem(20);
    }

    &__logo {
        height: rem(34);
        overflow: hidden;
        display: block;
    }

    &__footer {
       padding: rem(30) rem(20);
    }

    &__nav {
        flex-grow: 1;
        padding: 0 rem(10);
    }

    &__divider {
        padding-top: rem(25);
        margin-bottom: rem(25);
        border-bottom: 1px solid #EEEAEC;
    }

    @include media-breakpoint-up(md) {
        width: rem(94);
        transform: translateX(0);

        &__header {
            padding-top: rem(35);
        }

        &__toggle {
            top: rem(44)
        }

        &__main {
            overflow-y: visible;
        }

        &__logo {
            width: rem(50);
            height: rem(50);
            margin-left: rem(2);
            transition: .3s;
        }

        &__nav {
            padding: 0 rem(20);
        }

        &__footer {
            overflow: hidden;
        }
    }

    @include media-breakpoint-up(xl) {

        &__toggle {
            top: rem(38)
        }
    }

    @include media-breakpoint-up(xxl) {
        width: rem(351);

        &__toggle {
            transform: rotate(180deg);
        }

        &__logo {
            width: rem(224);
            margin-left: rem(10);
        }
    }
}

.sidenav {
    margin: 0;
    padding: 0;
    overflow: hidden;
    list-style: none;
    font-weight: 400;
    font-size: rem(15);
    line-height: rem(18);

    &__link {
        fill: $gray;
        color: $black;
        height: rem(44);
        white-space: nowrap;
        border-radius: 10px;
        text-decoration: none;
        padding: rem(4) rem(6) rem(4) rem(15);
        display: flex;
        align-items: center;

        i {
            font-size: 0;
            line-height: 0;
            display: inline-block;
            height: rem(20);
        }

        span {
            padding-left: rem(12);
            display: inline-block;
        }

        &:hover {
            fill: $violet;
            color: $violet;
            text-decoration: none;
        }

        &.active {
            fill: url(#grad);
            stroke: url(#grad);
            color: $black;
            font-weight: 600;
            background: #FAF8F9;
            stroke-width: 1px;
        }
    }

    @include media-breakpoint-up(md) {

        &__item {

            &:not(:last-child) {
                margin-bottom: rem(2);
            }
        }

        &__link {
            padding: 0 rem(15);
            width: rem(54);
            height: rem(54);
            transition: .3s;

            i {
                height: rem(24);
                transition: .3s;
            }

            span {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__link {
            width: rem(311);
            height: rem(44);
            padding: rem(4) rem(6) rem(4) rem(15);
            justify-content: flex-start;

            i {
                height: rem(20);
            }

            span {
                display: block;
            }
        }
    }
}

.social {
    position: relative;

    &__button {
        display: none;
    }

    &__content {
        display: flex;
        align-items: center;
        padding-left: rem(15);
    }

    &__item {

        &:not(:last-child) {
            margin-right: rem(10);
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            left: 100%;
            top: rem(-15);
            padding-left: rem(38);
            display: block;
            position: absolute;
            opacity: 0;
            visibility: hidden;
  //         transition: .3s;
        }

        &__content {
            height: rem(85);
            background: $white;
            border-radius: 10px;
            position: relative;
            padding: rem(16) rem(25);
            box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);

            &:before {
                top: calc(50% - 8px);
                right: 100%;
                content: '';
                position: absolute;
                border: 8px solid transparent;
                border-right: 8px solid $white;
            }
        }

        &__button {
            fill: $gray;
            font-size: 0;
            line-height: 0;
            width: rem(54);
            height: rem(54);
            border: none;
            outline: none;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
            background: transparent;
            transition: .3s;

            i {
                height: rem(24);
                display: inline-block;
            }

            &:hover {
                fill: $violet;
                transition: .3s;
            }
        }

        &:hover {

            .social {

                &__button {
                    fill: $violet;
                }

                &__main {
                    opacity: 1;
                    visibility: visible;
                //    transition: .3s;
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__button {
            display: none;
        }

        &__main {
            top: auto;
            left: auto;
            padding: 0;
            opacity: 1;
            visibility: visible;
            position: relative;
        }

        &__content {
            height: auto;
            padding: 0 0 0 rem(15);
            box-shadow: none;

            &:before {
                display: none;
            }
        }
    }
}

.sidebar-toggle {

    .sidebar {
        transform: translateX(0);
        transition: .15s;

        &__toggle {

            i {
                transform: rotate(180deg);
            }
        }
    }

    .sidebar-layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    @include media-breakpoint-up(md) {

        .sidebar {
            width: rem(351);

            &__logo {
                width: rem(224);
                margin-left: rem(10);
                transition: .3s;
            }
        }

        .sidenav {

            &__link {
                width: rem(311);
                height: rem(44);
                padding: rem(4) rem(6) rem(4) rem(15);
                transition: .3s;

                i {
                    height: rem(20);
                    transition: .3s;
                }

                span {
                    display: block;
                }
            }
        }

        .social {

            &__button {
                display: none;
            }

            &__main {
                top: auto;
                left: auto;
                padding: 0;
                opacity: 1;
                visibility: visible;
                position: relative;
            }

            &__content {
                height: auto;
                padding: 0 0 0 rem(15);
                box-shadow: none;

                &:before {
                    display: none;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        .root {
            padding-left: rem(351);
            transition-duration: .15s;
            transition-property: width,margin-left,margin-right,padding-left,padding-right;
            transition-timing-function: cubic-bezier(.4,0,.2,1);
        }
    }

    @include media-breakpoint-up(xxl) {

        .sidebar {
            width: rem(94);
            transform: translateX(0);

            &__logo {
                width: rem(50);
                height: rem(50);
                margin-left: rem(2);
                transition: .3s;
            }

            &__footer {
                overflow: visible;
            }
        }

        .sidenav {

            &__link {
                padding: 0 rem(15);
                width: rem(54);
                height: rem(54);
                transition: .3s;

                i {
                    height: rem(24);
                    transition: .3s;
                }

                span {
                    display: none;
                }
            }
        }

        .social {

            &__main {
                left: 100%;
                top: rem(-15);
                padding-left: rem(38);
                display: block;
                position: absolute;
                opacity: 0;
                visibility: hidden;
                //         transition: .3s;
            }

            &__content {
                height: rem(85);
                padding: rem(16) rem(25);
                box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);

                &:before {
                    display: block;
                }
            }

            &__button {
                display: flex;
            }

            &:hover {

                .social {

                    &__button {
                        fill: $violet;
                    }

                    &__main {
                        opacity: 1;
                        visibility: visible;
                        //    transition: .3s;
                    }
                }
            }
        }

        .root {
            padding-left: rem(94);
        }
    }
}
